From 134ac91052c141910150701e847810a69a85518b Mon Sep 17 00:00:00 2001
From: Philipp Stephani <phst@google.com>
Date: Mon, 2 May 2016 08:57:30 -0700
Subject: [PATCH 2/2] Add electric-quote-string unit test

* test/automated/electric-tests.el (electric-quote-string): New test.
---
 test/automated/electric-tests.el | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/test/automated/electric-tests.el b/test/automated/electric-tests.el
index 107b2e7..afd7076 100644
--- a/test/automated/electric-tests.el
+++ b/test/automated/electric-tests.el
@@ -584,5 +584,13 @@ autowrapping-7
                   (skip-chars-backward "\"")
                   (mark-sexp -1)))
 
+
+;;; Electric quotes
+(define-electric-pair-test electric-quote-string
+  "" "'" :expected-string "'" :expected-point 2
+  :fixture-fn #'electric-quote-local-mode
+  :bindings '((electric-quote-string . t))
+  :test-in-comments nil :test-in-strings nil)
+
 (provide 'electric-tests)
 ;;; electric-tests.el ends here
-- 
2.5.5

